View Issue Details

IDProjectCategoryView StatusLast Update
15856Bug reports_ Unknownpublic2020-05-26 12:44
Reporterollehar Assigned Toc_schmitz  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.1.2 
Target Version4.0.x 
Summary15856: Remove all get_magic_quotes_gpc from the code base
Description

get_magic_quotes_gpc halts execution on 7.4 and debug = 2, should be removed.

TagsNo tags attached.
Complete LimeSurvey version number (& build)latest master
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

c_schmitz

c_schmitz

2020-05-23 10:07

administrator   ~57998

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29989

lime_release_bot

lime_release_bot

2020-05-26 12:44

administrator   ~58031

Fixed in Release 4.2.5+200526

Related Changesets

LimeSurvey: master bf6764f9

2020-05-23 10:06:34

c_schmitz

Details Diff
Fixed issue 15856: Removed get_magic_quotes_gpc Affected Issues
15856
mod - application/controllers/admin/themes.php Diff File
mod - application/helpers/admin/label_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-02-12 16:24 ollehar New Issue
2020-05-23 10:07 c_schmitz Changeset attached => LimeSurvey master bf6764f9
2020-05-23 10:07 c_schmitz Note Added: 57998
2020-05-23 10:07 c_schmitz Assigned To => c_schmitz
2020-05-23 10:07 c_schmitz Resolution open => fixed
2020-05-23 10:09 c_schmitz Status new => resolved
2020-05-26 12:44 lime_release_bot Note Added: 58031
2020-05-26 12:44 lime_release_bot Status resolved => closed